Bug 719753 (CVE-2011-2597) - CVE-2011-2597 wireshark: infinite loop DoS in lucent/ascend file parser
Summary: CVE-2011-2597 wireshark: infinite loop DoS in lucent/ascend file parser
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2597
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 719782 809045 809046
Blocks: 807617
TreeView+ depends on / blocked
 
Reported: 2011-07-07 21:07 UTC by Vincent Danen
Modified: 2019-09-29 12:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-23 17:45:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0509 normal SHIPPED_LIVE Moderate: wireshark security update 2012-04-23 20:47:35 UTC

Description Vincent Danen 2011-07-07 21:07:51 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-2597 to
the following vulnerability:

Name: CVE-2011-2597
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-2597
Assigned: 20110629
Reference: http://www.wireshark.org/security/wnpa-sec-2011-09.html
Reference: http://www.wireshark.org/security/wnpa-sec-2011-10.html
Reference: http://www.wireshark.org/security/wnpa-sec-2011-11.html
Reference: http://www.securityfocus.com/bid/48506
Reference: SECTRACK:1025738
Reference: http://securitytracker.com/id?1025738
Reference: SECUNIA:45086
Reference: http://secunia.com/advisories/45086
Reference: XF:wireshark-lucent-dos(68335)
Reference: http://xforce.iss.net/xforce/xfdb/68335

The Lucent/Ascend file parser in Wireshark 1.2.x before 1.2.18, 1.4.x
through 1.4.7, and 1.6.0 allows remote attackers to cause a denial of
service (infinite loop) via malformed packets.

Comment 2 Vincent Danen 2011-07-08 00:27:18 UTC
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 719782]

Comment 4 errata-xmlrpc 2012-04-23 16:52:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0509 https://rhn.redhat.com/errata/RHSA-2012-0509.html

Comment 5 Vincent Danen 2012-04-23 17:45:31 UTC
Statement:

This issue did not affect the version of wireshark as shipped with Red Hat Enterprise Linux 4 and 5.


Note You need to log in before you can comment on or make changes to this bug.